# ezQuake Manual: Software Rendering Variables

## cl_multiview

### Description

This client adds a multiview component to mvd playback. Upto four views can be displayed at once. Use this variable to turn multiview on.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
0 | Multiview disabled
1 | Still no multiview but you can use cl_mvdisplayhud to show small complex hud.
2 | Two screens.
3 | Three screens.
4 | Four screens.

## cl_mvdisplayhud

### Description

Toggle drawing of small compact HUD in each screen of Multiview control.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
0 | Don't draw mini-HUDs when in multiview.
1 | Draw original mini-HUDs when in multiview. (Only strings)
2 | Draw names only.
3 | Draw graphics. Icons for weapons, healthbar, armorbar.
4 | Same as 3 but with values showing the health/armor on the bars.
5 | Same as 4 but with a semitransparent black background.

Also see cl_mvhudpos and cl_mvhudvertical when this is set to a value greater than 1.

## cl_mvhudpos

### Description

Sets the position of the multiview mini-HUDs.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: bottom center

### Values

value | description
top left/tl |
top center/tc |
top right/tr |
bottom left/bl |
bottom center/bc |
bottom right/br |
gather/g | The mini-HUDs are all "gathered" towards the center of the screen. Top left view has the hud in the lower right corner; bottom left view has it in the upper left corner and so on.

This only applies to the mini-HUD when cl_mvdisplayhud has a value greater than 1. Otherwise old mini-HUD will be used (just strings).

## cl_mvhudvertical

### Description

Set whetever the mini-HUDs in multiview mode will be drawn vertically or not.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Draw mini-HUDs vertically
0 | Draw mini-HUDs horizontally

This only applies if cl_mvdisplayhud has a value greater than 1, otherwise the old style is used for the mini-HUDs (only strings).

## cl_mvinset

### Description

Turns inset screen with multitrack on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Display 2nd POV inside main screen in the right top corner.
0 | Divide screen in 2/3/4 areas according to cl_multiview settings.

## cl_mvinsetcrosshair

### Description

Turn crosshair in inset POV in multiview on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Display crosshair in inset POV.
0 | Do not display crosshair in inset POV.

## cl_mvinsethud

### Description

Turns inset HUD for inset POV with multiview on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

### Values

value | description
1 | Display inset HUD (usually nick of tracked player).
0 | Do not display inset HUD.

## r_aliastransadj

### Description

Not much is known about this variable except for that increasing the value will cause the player models to be displayed smaller.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 100

Variable is float.

## r_aliastransbase

### Description

Not much is known about this variable except for that increasing the value will cause the player models to be displayed smaller.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 200

Variable is float.

## r_clearcolor

### Description

This variable can be used to change the color for the areas which are not part of the map when free floating outside of the map as spectator.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

Variable is float.

## r_draworder

### Description

Allows you to see through object - for development purposes only.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | First draws closest object, then the more distanced ones.
0 | Standard behaviour - first draws object far from you then closer to you.

Not allowed in multiplayer. See 'developer 1' too.

## r_dspeeds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Display renderer speed statistics.
0 | Do not display renderer speed statistics.

## r_graphheight

### Description

This variable used to set the number of lines displayed in the "r_timegraph" command.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 15

Variable is float.

## r_maxedges

### Description

This variable sets the maximum number of plane surface edges to be rendered.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## r_maxsurfs

### Description

This variable sets the maximum number of plane surfaces to be rendered.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## r_numedges

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Print information about the number of edges.
0 | Do not print information about the number of edges.

## r_numsurfs

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Print information about the number of surfaces.
0 | Do not print information about the number of surfaces.

## r_polymodelstats

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Print polygon model statistics.
0 | Do not print polygon model statistics.

## r_reportedgeout

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Report when running out of edges.
0 | Do not report when running out of edges.

## r_reportsurfout

### Description

Toggle the display of how many surfaces where not displayed. This shouldn't happen during normal game play, only when in noclip mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## r_speeds

### Description

Toggles the displaying of drawing time and stats of what is currently being viewed. Example: 32.7 ms 267/196/ 74 poly 3 surf 38.6 ms 267/196/ 74 poly 20 surf 60.4 ms 267/196/ 74 poly 18 surf 38.2 ms 267/196/ 73 poly 18 surf

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## r_timegraph

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Display the timegraph.
0 | Do not display the timegraph.

## r_zgraph

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Display the z-graph.
0 | Do not display the z-graph.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs